- 2024-01-03
  - Set preliminary feature freeze date to 2024-01-17.
  - Set preliminary release date to 2024-01-23.
- 2024-01-17
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
  - Updated scope to include ui#1585.
- 2024-01-19
  - Received notification that testing has finished.
- 2024-01-23
  - Published to downloads repo.
  - Published development build to CWS.
  - Published to CWS.
  - Published to AMO.
  - Published to Microsoft store.
  - Published to Opera store.
  - Updated release notes to correctly mention "element hiding emulation filters" instead of "element hiding filters".
  - Noticed that release is live on CWS.
  - Noticed that release is live on Opera store.
  - Noticed that release is live on Microsoft store.
- 2024-01-26
  - Noticed that release is live on AMO.
